btb-class |

# DictionaryBase(TKey,TValue).CopyTo(Array, Int32) Method

Copies the elements of the ICollection to an Array, starting at a particular Array index.

public void DictionaryBase(
Array array,
int index
);

#### Parameters

array
  The one-dimensional Array that is the destination of the elements copied from ICollection. The Array must have zero-based indexing.
index
  The zero-based index in array at which copying begins.

#### Implements

ICollection.CopyTo

#### Exceptions

Exception Type | Condition
--- | ---
ArgumentNullException | array is null.
ArgumentOutOfRangeException | index is less than zero.
ArgumentException | array is multidimensional. -or- index is equal to or greater than the length of array. -or- The number of elements in the source ICollection is greater than the available space from index to the end of the destination array.
ArgumentException | The type of the source ICollection cannot be cast automatically to the type of the destination array.

#### See Also

DictionaryBase<TKey, TValue> Class | ComponentOwl.BetterThumbnailBrowser Namespace | DictionaryBase<TKey, TValue>.CopyTo Overload List